=== debian/control ===
Source: ros-kinetic-play-motion
Section: misc
Priority: extra
Maintainer: Victor Lopez <victor.lopez@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-actionlib, ros-kinetic-catkin, ros-kinetic-control-msgs, ros-kinetic-controller-manager, ros-kinetic-controller-manager-msgs, ros-kinetic-diagnostic-msgs, ros-kinetic-diagnostic-updater, ros-kinetic-hardware-interface, ros-kinetic-joint-state-controller, ros-kinetic-joint-trajectory-controller, ros-kinetic-moveit-ros-planning-interface, ros-kinetic-play-motion-msgs, ros-kinetic-position-controllers, ros-kinetic-robot-state-publisher, ros-kinetic-roscpp, ros-kinetic-rostest, ros-kinetic-sensor-msgs, ros-kinetic-xacro
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-play-motion
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-actionlib, ros-kinetic-control-msgs, ros-kinetic-controller-manager-msgs, ros-kinetic-diagnostic-msgs, ros-kinetic-diagnostic-updater, ros-kinetic-moveit-ros-planning-interface, ros-kinetic-play-motion-msgs, ros-kinetic-roscpp, ros-kinetic-sensor-msgs
Description: Plays a pre-recorded motion on a robot
